Skip to main content
GET
List events

Authorizations

Authorization
string
header
required

Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.

Headers

X-Instance-ID
string | null

Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.

Maximum string length: 1024

Query Parameters

customerPartyId
string

Defaults to your party. To act for another party, pass the ID of a party that has authorized you to act on its behalf.

Pattern: ^pty_[0-9a-f]{32}$
eventType
enum<string>

Filter by event type. Required when customerPartyId names another party.

Available options:
party.updated,
complianceCase.updated,
wallet.created,
externalAccount.connected,
agentConnectionInvitation.created,
agentConnectionInvitation.accepted,
agentConnectionInvitation.declined,
agentConnectionInvitation.canceled,
agentConnection.revoked,
connection.activated,
connection.revoked,
invitationLink.created,
invitationLink.revoked,
invitationLink.agentAdded,
invitationLink.agentRemoved,
invitationLink.redeemed,
deposit.created,
deposit.completed,
deposit.failed,
deposit.returned,
deposit.canceled,
deposit.approvalDenied,
withdrawal.created,
withdrawal.completed,
withdrawal.failed,
withdrawal.returned,
withdrawal.canceled,
withdrawal.approvalDenied,
payment.created,
payment.completed,
payment.failed,
payment.returned,
payment.canceled,
payment.approvalDenied,
ach.created,
ach.processing,
ach.settled,
ach.failed,
ach.returned,
realtime.created,
realtime.processing,
realtime.settled,
realtime.failed,
wire.created,
wire.processing,
wire.completed,
wire.rejected,
wire.failed,
check.created,
check.processing,
check.completed,
check.returned,
check.canceled,
check.expired,
check.rejected,
check.failed,
check.returnedToSender,
externalPartyAccount.validated,
approval.required,
approval.approved,
approval.denied,
approval.canceled,
paymentRequest.created,
paymentRequest.completed,
paymentRequest.canceled,
paymentRequest.declined,
paymentRequest.incoming,
paymentIntent.completed,
cardPayment.succeeded,
cardPayment.failed,
paymentIntent.canceled,
cardPayment.created,
voiceSession.completed,
refund.created,
refund.succeeded,
refund.failed,
chargeback.created,
chargeback.updated,
chargeback.closed,
enrollment.applied,
enrollment.activated,
enrollment.rejected,
enrollment.offboarded,
mandate.created,
mandate.updated,
mandate.revoked
createdAfter
string<date-time>

Only events created after this RFC 3339 timestamp (exclusive).

Maximum string length: 64
createdBefore
string<date-time>

Only events created before this RFC 3339 timestamp (exclusive).

Maximum string length: 64
cursor
string

Cursor from the previous page.

Maximum string length: 1024
limit
integer
default:50

Maximum results per page.

Required range: 1 <= x <= 100

Response

Successful Response

data
EventResource · object[]
required
meta
object
required